Package org.codehaus.janino.util

# Class ClassFile.SignatureAttribute

java.lang.Object
org.codehaus.janino.util.ClassFile.AttributeInfo
org.codehaus.janino.util.ClassFile.SignatureAttribute

Enclosing class:
  `ClassFile`

public static class ClassFile.SignatureAttribute extends ClassFile.AttributeInfo
Representation of a `Signature` attribute (see JVMS 4.7.9).

## Constructor Summary

Constructors
Constructor
Description
`SignatureAttribute(short attributeNameIndex, short signatureIndex)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSignature(ClassFile classFile)`
`protected void`
`storeBody(DataOutputStream dos)`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

### Methods inherited from class org.codehaus.janino.util.ClassFile.AttributeInfo

`store`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SignatureAttribute

public SignatureAttribute(short attributeNameIndex, short signatureIndex)

## Method Details

### getSignature

public String getSignature(ClassFile classFile)

### storeBody

protected void storeBody(DataOutputStream dos) throws IOException
Description copied from class: `ClassFile.AttributeInfo`
Writes the body of this attribute in an attribute-type dependent way; see JVMS7 4.7.2 and following.

Specified by:
  `storeBody` in class `ClassFile.AttributeInfo`
Throws:
  `IOException`